LotusSpreadsheetInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a WPS4Spreadsheet More...

## Classes
struct | ComparePosition
| a comparaison structure used to sort cell by rows and and columns More...

## Public Types
typedef std::map< Vec2i, Cell, ComparePosition > | PositionToCellMap_t

## Public Member Functions
| Spreadsheet ()
| a constructor More...
Cell & | getCell (Vec2i const &pos)
| return a cell corresponding to a spreadsheet, create one if needed More...
bool | getRowBounds (int col, Vec2i &bound) const
| return the row bounds corresponding to a column More...
void | setColumnWidthInChar (int col, int w=-1)
| set the columns size More...
void | setRowHeight (int row, int h=-1)
| set the rows size More...
bool | empty () const
| returns true if the spreedsheet is empty More...
void | computeRightBottomPosition ()
| compute the last Right Bottom cell position, using the cell list More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize, float factor=1)
| convert the m_widthColsInChar, m_heightRows in a vector of of point size More...

## Public Attributes
librevenge::RVNGString | m_name
| the sheet name More...
int | m_numCols
| the number of columns More...
int | m_numRows
| the number of rows More...
Vec2i | m_LBPosition
| the final Right Bottom position, computed by updateState More...
std::map< int, Vec2i > | m_boundsColsMap
| a map used to stored the min/max row of each columns More...
std::vector< int > | m_widthColsInChar
| the column size in char More...
std::vector< int > | m_heightRows
| the row size in TWIP (?) More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...
PositionToCellMap_t | m_positionToCellMap
| a map cell to not empty cells More...

## Detailed Description

the spreadsheet of a WPS4Spreadsheet

## Member Typedef Documentation

typedef std::map<Vec2i, Cell, ComparePosition> LotusSpreadsheetInternal::Spreadsheet::PositionToCellMap_t

## Constructor & Destructor Documentation

LotusSpreadsheetInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

a constructor

## Member Function Documentation

void LotusSpreadsheetInternal::Spreadsheet::computeRightBottomPosition | ( |  | ) |
| inline

compute the last Right Bottom cell position, using the cell list

static std::vector<float> LotusSpreadsheetInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize,
|  | float | factor = `1`
| ) |  |
| inlinestatic

convert the m_widthColsInChar, m_heightRows in a vector of of point size

Referenced by LotusSpreadsheet::sendSpreadsheet().

bool LotusSpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

Cell& LotusSpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos | ) |
| inline

return a cell corresponding to a spreadsheet, create one if needed

Referenced by LotusSpreadsheet::readCell().

bool LotusSpreadsheetInternal::Spreadsheet::getRowBounds | ( | int | col,
|  | Vec2i & | bound
| ) |  | const
| inline

return the row bounds corresponding to a column

void LotusSpreadsheetInternal::Spreadsheet::setColumnWidthInChar | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

Referenced by LotusSpreadsheet::readColumnSizes().

void LotusSpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h = `-1`
| ) |  |
| inline

set the rows size

Referenced by LotusSpreadsheet::readRowSizes().

## Member Data Documentation

std::map<int, Vec2i> LotusSpreadsheetInternal::Spreadsheet::m_boundsColsMap

a map used to stored the min/max row of each columns

Referenced by getRowBounds(), LotusSpreadsheet::readColumnDefinition(), and setColumnWidthInChar().

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_heightRows

the row size in TWIP (?)

Referenced by LotusSpreadsheet::sendSpreadsheet(), and setRowHeight().

Vec2i LotusSpreadsheetInternal::Spreadsheet::m_LBPosition

the final Right Bottom position, computed by updateState

Referenced by computeRightBottomPosition(), empty(), LotusSpreadsheet::sendSpreadsheet(), and LotusSpreadsheet::updateState().

librevenge::RVNGString LotusSpreadsheetInternal::Spreadsheet::m_name

the sheet name

Referenced by empty().

int LotusSpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

Referenced by setColumnWidthInChar().

int LotusSpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

Referenced by setRowHeight().

PositionToCellMap_t LotusSpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

Referenced by computeRightBottomPosition(), empty(), getCell(), and LotusSpreadsheet::sendSpreadsheet().

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_widthColsInChar

the column size in char

Referenced by LotusSpreadsheet::sendSpreadsheet(), and setColumnWidthInChar().

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp